"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x104351760>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x104351800>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1043518a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104351940>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1043519e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x104351a80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104351b20>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104351bc0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104351c60>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104351d00>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x104351da0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x104351e40>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x104351ee0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x104351f80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x104352020>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1043520c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x104352160>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x104352200>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1043522a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x104352340>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1043523e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x104352480>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x104352520>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1043525c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x104352660>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x104352700>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1043527a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x104352840>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1043528e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x104352980>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x104352a20>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x104352ac0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x104352b60>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x104352c00>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x104352ca0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x104352d40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x104352de0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x104352e80>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104352f20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104352fc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104353060>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x104353100>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1043531a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x104353240>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1043532e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x104353380>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x104353420>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1043534c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104353560>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x104353600>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1043536a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x104353740>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1043537e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x104353880>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x104353920>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1043539c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x104353a60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104353b00>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x104353ba0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x104353c40>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x104353ce0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x104353d80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x104353e20>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x104353ec0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x104353f60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc040>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc0e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc180>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc220>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc2c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc360>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc400>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc4a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc540>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc5e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc680>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc720>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc7c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc860>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc900>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fca40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fc9a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fcae0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fcb80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10c9fcc20>)]
name: str = 'fr_HOCCN'
